
打印信息("洛阳抢打造图脚本,请准备足够的金币和足够的材料栏空格")
打印信息("默认只买9、10级打造图，如需更改请用记事本修改脚本文件/洛阳打造图.lua文件")

local olditemID = -1
local itemID = -1

--脚本修改后请另存到电脑其它位置备份,下次版本更新时复制回本目录覆盖即可

--下边是默认抢购的打造图名称,如需增加其它打造图,照以下格式复制添加即可 比如增加 {name = "护符打造图6级"},  将此句插入以下列表中任意位置即可(看表头部示例)
g_ItemInfo = {
	--{name = "护符打造图6级"},
	
	--注意添加时不要掉了结尾的 ","符号
	--两个减号"--"开头,表示将这行注释掉,也就是此行不起作用
	
	{name = "帽子打造图9级"},
	{name = "帽子打造图10级"},
	
	{name = "衣服打造图9级"},
	{name = "衣服打造图10级"},
	
	{name = "手套打造图9级"},
	{name = "手套打造图10级"},	
	
	{name = "鞋子打造图9级"},
	{name = "鞋子打造图10级"},
	
	{name = "项链打造图9级"},
	{name = "项链打造图10级"},
	
	{name = "戒指打造图9级"},
	{name = "戒指打造图10级"},
	
	{name = "护符打造图9级"},
	{name = "护符打造图10级"},
	
	{name = "护腕打造图9级"},
	{name = "护腕打造图10级"},
	
	{name = "护肩打造图9级"},
	{name = "护肩打造图10级"},
	
	{name = "腰带打造图9级"},
	{name = "腰带打造图10级"},
	
}


local g_nIndex = 1

function RobCreateMap()
	if 取地图名() ~= "苏州" or 取距离(290, 187) > 20 then
		召唤坐骑(1)	
	end
	ID_寻路(290, 187, 1)
	
	while true do
		local Ret = 0
		local _,_,g_NpcId = 搜索目标("李乐施",1)
		while g_NpcId ~= -1 do
			if 取角色门派() == 7 then
				使用技能("金蝉脱壳",-1)
				延迟(1000)
			end
			local spaceNum = GetBackpackNull(2)
			if spaceNum == 0 then 
				打印信息("抢打造图：背包满!!")
				return
			end
			_,_,g_NpcId = 搜索目标("李乐施",1)
			if g_NpcId ~= -1 and Ret == 0 then
				ID_对话npc(g_NpcId)
				Ret = 1
			end
			对话选项("善恶值换打造图与鉴定符")
			local SzRoseData = GetRoleState(4)
			local c = 0
			local nCallNum = GetBoothList_Num()--获取商店所有物品种类
			while c < nCallNum do
				local nIndex, strName, nPrice, site = GetShopData(c) --获取商店数据
				if GetRoleState(3) < nPrice then 打印信息("抢打造图：人物善恶值不足!!") return end
				if nIndex > 0 and InStrRev(strName,"打造图") == 1 then
					for i = 1, 60 do
						if g_ItemInfo[i] == nil then
							break
						else
							if g_ItemInfo[i].name == strName then
								购买物品EX(SzRoseData,site,1)
								break
							end
						end
					end
				end
				c = c + 1
			end
			延迟(100)
		end
		if g_NpcId == -1 then
			if 取地图名() ~= "苏州" or 取距离(290, 187) > 20 then
				召唤坐骑(1)	
			end
			ID_寻路(290, 187, 1)
		end
	end
end

RobCreateMap()